routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/




Auth::routes();
Route::group(['middleware' => 'auth'], function(){
	Route::get('/', 'TodosController@index');

	/*Route::post('newtodo', [
		'uses' => 'TodosController@store'
	])->name('post.newtodo');*/

	Route::post('todo-update/{id}',[
		'uses' => 'TodosController@update'
	])->name('todo-update');

	Route::get('delete-todo/{id}',[
		'uses' => 'TodosController@destroy'
	])->name('delete-todo');

	Route::resource('todo','TodosController');

	Route::get('/home', 'TodosController@index')->name('home');

	//Route::get('logout', 'Auth\LoginController@logout');
	Route::get('logout', function(){
		Auth::logout();
		return redirect()->route('login');
	});
});

app/Todo.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Todo extends Model
{
    //
}

app/User.php
<?php

namespace App;

use Illuminate\Notifications\Notifiable;
use Illuminate\Foundation\Auth\User as Authenticatable;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Routing\Controller as BaseController;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

app/Http/Controllers/HomeController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        //$this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        return view('home');
    }
}

app/Http/Controllers/TodosController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Todo;

class TodosController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $todos = Todo::orderBy('created_at', 'desc')->get();
        return view('todos.index')->with('todos', $todos);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('todos.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //return $request->all();
        $this->validate($request, [
            'title' => 'required'
        ]);

        $todo = new Todo;
        $todo->text = $request->title;
        $todo->body = $request->body;
        $todo->due = $request->due;

        $todo->save();
        return redirect('/')->with('success', 'New todo created!');


    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $todo = Todo::find($id);
        return view('todos.show')->with('todo', $todo) ;
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $todo = Todo::find($id);
        return view('todos.edit')->with('mytodo', $todo);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //return $request->all();
        $this->validate($request, [
            'title' => 'required'
        ]);

        $todo = Todo::find($id);
        $todo->text = $request->title;
        $todo->body = $request->body;
        $todo->due = $request->due;

        $todo->save();

        return redirect('/')->with('success', 'Updated Successfully');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $todo = Todo::find($id);
        $todo->delete();

        return redirect('/')->with('success', 'Deleted Successfully!');
    }
}

resources/views/home.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">Dashboard</div>

                <div class="card-body">
                    @if (session('status'))
                        <div class="alert alert-success">
                            {{ session('status') }}
                        </div>
                    @endif

                    You are logged in!
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/inc/messages.blade.php
@if(count($errors) > 0)
  @foreach($errors->all() as $error)
    <div class="alert alert-danger">
      {{ $error }}
    </div>
  @endforeach
@endif

@if(session('success'))
  <div class="alert alert-success">
      {{ session('success') }}
  </div>
@endif

resources/views/inc/navbar.blade.php
<nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark" id="nv">
        <a class="navbar-brand" href="/">TODO LIST</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarCollapse">
          <ul class="navbar-nav mr-auto">
            <li class="nav-item active">
              <a class="nav-link {{ Request::is('/')? 'active' : '' }}" href="/">Home <span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item">
              <a class="nav-link {{ Request::is('todo/create')? 'active' : '' }}" href="todo/create">Create Todo</a>
            </li>
            <li class="nav-item">
              <a class="nav-link"  href="#">About</a>
            </li>
          </ul>
          @if(!Auth::user())
            <ul class="navbar-nav ml-auto">
              <li class="nav-item">
                <a class="nav-link {{ Request::is('/login')? 'active' : '' }}" href="/login">Login <span class="sr-only">(current)</span></a>
              </li>
              <li class="nav-item">
                <a class="nav-link {{ Request::is('/register')? 'active' : '' }}" href="/register">Register</a>
              </li>
            </ul>
          @else
            <ul class="navbar-nav ml-auto">
              <li class="nav-item">
                <a class="nav-link {{ Request::is('/logout')? 'active' : '' }}" href="/logout">Logout <span class="sr-only">(current)</span></a>
              </li>
            </ul>
          @endif

        </div>
      </nav>

resources/views/layouts/app.blade.php
<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <title>Todo list</title>
        <link rel="stylesheet" type="text/css" href="/css/app.css">
    </head>
    <body>
        @include('inc.navbar')
        <div class="container" style="margin-top: 70px">
            @include('inc.messages')
            @yield('content')
        </div>

        <footer id="footer" class="text-center">
            <p>copyright &copy; 2018 Todolist</p>   
        </footer>
    </body>
</html>

resources/views/todos/create.blade.php
@extends('layouts.app')

@section('content')
	
	<div class="container-fluid" style="margin-top: 80px">
		<h3>Create Todo</h3>
		<form action="{{ route('todo.store') }}" method="post">
			{{ csrf_field() }}
		  <div class="form-group">
		    <label for="title">Title</label>
		    <input type="text" class="form-control" id="title" placeholder="enter title" name="title">
		  </div>
		  <div class="form-group">
			<label for="body">Details</label>
			<textarea class="form-control" rows="7" id="body" name="body"></textarea>
		  </div>
		  <div class="form-group">
		    <label for="due">Time</label>
		    <input type="text" class="form-control" id="due" placeholder="when to do" name="due">
		  </div>
		  
		  <button type="submit" class="btn btn-primary">Submit</button>
		</form>
	</div>
@endsection

resources/views/todos/edit.blade.php
@extends('layouts.app')

@section('content')
	
	<div class="container-fluid" style="margin-top: 80px">
		<h3>Create Todo</h3>
		<form action="{{ route('todo-update',['id' => $mytodo->id]) }}" method="post">
			{{ csrf_field() }}
		  <div class="form-group">
		    <label for="title">Title</label>
		    <input type="text" class="form-control" id="title" placeholder="enter title" name="title" value="{{ $mytodo->text }}">
		  </div>
		  <div class="form-group">
			<label for="body">Details</label>
			<textarea class="form-control" rows="7" id="body" name="body">{{ $mytodo->body }}</textarea>
		  </div>
		  <div class="form-group">
		    <label for="due">Time</label>
		    <input type="text" class="form-control" id="due" placeholder="when to do" name="due" value="{{ $mytodo->due }}">
		  </div>
		  
		  <button type="submit" class="btn btn-primary">Submit</button>
		</form>
	</div>
@endsection

resources/views/todos/index.blade.php
@extends('layouts.app')
@section('content')
	<h1>Todos</h1>
	@if(count($todos) > 0)
		@foreach($todos as $todo)
			<div class="card">
			  <div class="card-header">
			    My ToDo List
			  </div>
			  <div class="card-body">
			    <h5 class="card-title">{{ $todo->text }}</h5>
			    <p class="card-text">{{ $todo->due }}</p>
			    <a href="todo/{{ $todo->id }}" class="btn btn-info">View Details
			    	<a href="delete-todo/{{ $todo->id }}" class="btn btn-danger float-right">Delete</a>
			    	<a href="todo/{{ $todo->id }}/edit" class="btn btn-primary float-right">Edit Information</a>
			    </a>
			  </div>
			</div>
		@endforeach
	@endif
@endsection

resources/views/todos/show.blade.php
@extends('layouts.app')
@section('content')
    <div class="card text-center">
      <div class="card-header">
        ToDo Details
      </div>
      <div class="card-body">
        <h5 class="card-title">{{ $todo->text }}</h5>
        <p class="card-text">{{ $todo->body }}</p>
        <p class="card-text">{{ $todo->due }}</p>
      </div>
      <div class="card-footer text-muted">
        <a href="/" class="btn btn-primary">Back</a>
      </div>
    </div>
@endsection